For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
    • Upload content
    • Index content
    • Manage videos
      • The video object
      • GETList videos
      • GETRetrieve video information
      • PATCHPartial update video information
      • DELDelete video information
    • Manage entities
    • Any-to-video search
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceManage videos

Retrieve video information

GET
https://api.twelvelabs.io/v1.3/indexes/:index-id/videos/:video-id
GET
/v1.3/indexes/:index-id/videos/:video-id
$curl -G https://api.twelvelabs.io/v1.3/indexes/6298d673f1090f1100476d4c/videos/6298d673f1090f1100476d4c \
> -H "x-api-key: <apiKey>" \
> -d transcription=true
1{
2 "_id": "61e17be5777e6caec646fa07",
3 "asset_id": "6298d673f1090f1100476d4c",
4 "created_at": "2022-01-14T13:34:29Z",
5 "updated_at": "2022-01-14T13:34:29Z",
6 "indexed_at": "2022-01-14T14:05:55Z",
7 "system_metadata": {
8 "duration": 3747.841667,
9 "filename": "IOKgzkakhlk.mp4",
10 "fps": 29.97002997002997,
11 "height": 360,
12 "width": 482
13 },
14 "user_metadata": {
15 "category": "recentlyAdded",
16 "batchNumber": 5,
17 "rating": 9.3,
18 "needsReview": true
19 },
20 "hls": {
21 "video_url": "https://d2cp8xx7n5vxnu.cloudfront.net/6298aa0b535db125bf6e1d10/64902a28fb01304dd47be3cb/stream/c924f34a-144e-41df-bf2a-c693703fa134.m3u8",
22 "thumbnail_urls": [
23 "https://d2cp8xx7n5vxnu.cloudfront.net/6298aa0b535db125bf6e1d10/64902a28fb01304dd47be3cb/thumbnails/c924f34a-144e-41df-bf2a-c693703fa134.0000001.jpg"
24 ],
25 "status": "COMPLETE",
26 "updated_at": "2024-01-16T07:59:40.879Z"
27 },
28 "embedding": {
29 "model_name": "marengo3.0",
30 "video_embedding": {
31 "segments": [
32 {
33 "embedding_option": "visual",
34 "embedding_scope": "clip",
35 "end_offset_sec": 7.5666666,
36 "float": [
37 -0.04747168,
38 0.030509098,
39 0.032282468
40 ],
41 "start_offset_sec": 0
42 }
43 ]
44 }
45 },
46 "transcription": [
47 {
48 "start": 0,
49 "end": 10.5,
50 "value": "Hello, how are you?"
51 },
52 {
53 "start": 10.5,
54 "end": 15.2,
55 "value": "I'm fine, thank you."
56 }
57 ]
58}
<Info> This method will be deprecated in a future version. New implementations should use the [Retrieve an indexed asset](/v1.3/api-reference/index-content/retrieve) method.</Info> This method retrieves information about the specified video.
Was this page helpful?
Previous

Partial update video information

Next
Built with
This method will be deprecated in a future version. New implementations should use the Retrieve an indexed asset method.

This method retrieves information about the specified video.

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Path parameters

index-idstringRequired
The unique identifier of the index to which the video has been uploaded.
video-idstringRequired
The unique identifier of the video to retrieve.

Query parameters

embedding_optionlist of enumsOptional
Specifies which types of embeddings to retrieve. Values: `visual`, `audio`, `transcription`. For details, see the [Embedding options](/v1.3/docs/concepts/modalities#embedding-options) section. <Note title="Note"> To retrieve embeddings for a video, it must be indexed using the Marengo video understanding model. For details on enabling this model for an index, see the [Create an index](/reference/create-index) page. </Note>
Allowed values:
transcriptionbooleanOptional
The parameter indicates whether to retrieve a transcription of the spoken words for the indexed video.

Response

The specified video information has successfully been retrieved.
_idstring
The unique identifier of the video.
asset_idstring
The unique identifier of the associated asset.
created_atstring

A string indicating the date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the video indexing task was created.

updated_atstring

A string indicating the date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the corresponding video indexing task was last updated. The platform updates this field every time the corresponding video indexing task transitions to a different state.

indexed_atstring

A string indicating the date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the video indexing task has been completed.

system_metadataobject

System-generated metadata about the video.

user_metadatamap from strings to any

User-defined metadata for this video.

hlsobject

The platform returns this object only for the videos that you uploaded with the enable_video_stream parameter set to true.

embeddingobject

Contains the embedding and the associated information. The platform returns this field when the embedding_option parameter is specified in the request.

transcriptionlist of objects

An array of objects that contains the transcription. For each time range for which the platform finds spoken words, it returns an object that contains the fields below. If the platform doesn’t find any spoken words, the data field is set to null.

Errors

400
Bad Request Error
404
Not Found Error

Your API key.

Note

You can find your API key on the API Keys page.

Specifies which types of embeddings to retrieve. Values: visual, audio, transcription. For details, see the Embedding options section.

Note

To retrieve embeddings for a video, it must be indexed using the Marengo video understanding model. For details on enabling this model for an index, see the Create an index page.